require 'logger'

module ClientHelper
  def create_anonymous_client(options={})
    options.merge!(logger: Logger.new(STDOUT)) if ENV['VERBOSE']
    options = {
      :url => ENV["DEIS_URL"] || "https://deis.example.org",
    }.merge(options)

    Deis::Client.new(options)
  end

  def create_authorized_client(options={})
    options.merge!(logger: Logger.new(STDOUT)) if ENV['VERBOSE']
    options = {
      :username => ENV["DEIS_USERNAME"],
      :password => ENV["DEIS_PASSWORD"],
      :url      => ENV["DEIS_URL"] || "https://deis.example.org",
    }.merge(options)

    Deis::Client.new(options)
  end
end

RSpec.configure do |config|
  config.include(ClientHelper)
end
